import { Ref } from "@vue/composition-api";
export declare type RefTyped<T> = T | Ref<T>;
export declare type RefElement = RefTyped<Element>;
export declare function wrap<T>(o: RefTyped<T>): Ref<T>;
export declare const isArray: (arg: any) => arg is any[];
export declare const isFunction: (val: unknown) => val is Function;
export declare const isDate: (val: unknown) => val is Date;
export declare const isNumber: (val: unknown) => val is number;
export declare const isObject: (val: unknown) => val is Record<any, any>;
export declare function isPromise<T = any>(val: unknown): val is Promise<T>;
export declare function promisedTimeout(timeout: number): Promise<void>;
export declare function minMax(val: number, min: number, max: number): number;
